## Struct template function_reference_wrapper

boost::log::function_reference_wrapper — Reference wrapper for function objects.

## Synopsis

    // In header: <boost/log/utility/functional/fun_ref.hpp>

    template<typename FunT>
    struct function_reference_wrapper {
      // types
      typedef FunT::result_type result_type;

      // construct/copy/destruct
      explicit function_reference_wrapper(FunT &);

      // public member functions
      result_type operator()() const;
      template<typename... ArgsT> result_type operator()(ArgsT const &...) const;
    };

## Description

### `function_reference_wrapper` public construct/copy/destruct

1.     explicit function_reference_wrapper(FunT & fun);

### `function_reference_wrapper` public member functions

1.     result_type operator()() const;

2.     template<typename... ArgsT>
         result_type operator()(ArgsT const &... args) const;